/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _ACTIVEMQ_UTIL_PRIMITIVEMAPBENCHMARK_H_
#define _ACTIVEMQ_UTIL_PRIMITIVEMAPBENCHMARK_H_

#include <benchmark/BenchmarkBase.h>

#include <activemq/util/PrimitiveMap.h>

namespace activemq{
namespace util{

    class PrimitiveMapBenchmark :
        public benchmark::BenchmarkBase<
            activemq::util::PrimitiveMapBenchmark, PrimitiveMap >
    {
    private:

        PrimitiveMap map;
        std::string testString;
        std::vector<unsigned char> byteBuffer;

    public:

        PrimitiveMapBenchmark();
        virtual ~PrimitiveMapBenchmark();

        void setUp();
        void run();

    };

}}

#endif /*_ACTIVEMQ_UTIL_PRIMITIVEMAPBENCHMARK_H_*/
